OpenCV Manager on Samsung Galaxy Edge

asked 2015-09-28 09:52:41 -0500

MErmatinger gravatar image

Good day everyone

I recently had a problem with my Samsung Galaxy Edge (SM-G925F): neither my own app nor the OpenCV Demo apps I installed from the Google Play Store did work. When I opened the apps, I got the message "OpenCV was not initialised correctly. Application will be shut down". I then checked the OpenCV Manager. Below the path to the folder where the libraries are stored was written:

2.4 -> null

3.0 -> libopencv_java3.so

So version 2.4 seemed to be missing.

This problem can be solved by installing "OpenCV_3.0.0_Manager_3.00_armeabi-v7a.apk" from the OpenCV4Android package by hand. The OpenCV Manager now shows "2.4 -> libopencv_java.so" as it probably should. The only problem: as soon the OpenCV Manager is updated, I get the exact same behaviour again.

So it seems to me that the "Play Store" installs the wrong version. It is no big deal, nevertheless annoying. Can I influence that somehow?

Have a nice day, Mathias Ermatinger

edit retag flag offensive close merge delete